import request from "@/utils/request";
import { TypeBannerDTO } from "@/types/DTO/webBannerDTO";

// 获取轮播列表
export const getBannerList = (query: Record<string, any>) => {
  return request<RespondPageType<TypeBannerDTO>>({
    url: "/webconf/banner/list",
    method: "get",
    params: query,
  });
};
// 获取轮播详情
export const getBannerInfo = (data: number) => {
  return request<RespondDataType<TypeBannerDTO>>({
    url: "/webconf/banner/" + data,
    method: "get",
  });
};

// 新增
export const saveBanner = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/webconf/banner/add",
    method: "post",
    data: data,
  });
};

// 修改
export const updateBanner = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/webconf/banner/upd",
    method: "post",
    data: data,
  });
};

// 删除
export const deleteBanner = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/webconf/banner/" + data,
    method: "delete",
  });
};
